<template>
    <div class="container-fluid">
        <!-- Vertical Layout -->
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header">
                        <h2>
                            CONTACT INFORMATION
                        </h2>
                    </div>
                    <div class="body">
                        <form action="javascript:void(0)" method="post" ref="contact" @submit="update">
                            <label >Phone number 1</label>
                            <div class="input-group">
                                            <span class="input-group-addon">
                                                <i class="material-icons">phone</i>
                                            </span>
                                <div class="form-line">
                                    <input  required type="text" v-model="info.phone1" name="phone1" class="form-control mobile-phone-number" placeholder="Ex: +880xxxxxxxxxx">
                                </div>
                            </div>
                            <label>Phone number 2</label>
                            <div class="input-group">
                                            <span class="input-group-addon">
                                                <i class="material-icons">phone</i>
                                            </span>
                                <div class="form-line">
                                    <input required type="text" name="phone2" v-model="info.phone2" class="form-control mobile-phone-number" placeholder="Ex: +880xxxxxxxxxx">
                                </div>
                            </div>
                            <label>Email Address</label>
                            <div class="input-group">
                                            <span class="input-group-addon">
                                                <i class="material-icons">email</i>
                                            </span>
                                <div class="form-line">
                                    <input required type="text" name="email" v-model="info.email" class="form-control email" placeholder="Ex: example@example.com">
                                </div>
                            </div>
                            <label>Location</label>
                            <div class="input-group">
                                            <span class="input-group-addon">
                                                <i class="material-icons">location_city</i>
                                            </span>
                                <div class="form-line">
                                    <input required type="text" name="address" v-model="info.address" class="form-control mobile-phone-number">
                                </div>
                            </div>
                            <label>Maps</label>
                            <div class="input-group">
                                            <span class="input-group-addon">
                                                <i class="material-icons">near_me</i>
                                            </span>
                                <div class="form-line">
                                    <input required type="text" name="map_location" v-model="info.map_location" class="form-control mobile-phone-number">
                                </div>
                            </div>
                            <br>
                            <input type="submit" class="btn btn-primary" />
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Vertical Layout -->
    </div>
</template>
<script>
    export default {
        data(){
            return{
                info:{},
            }
        },
        created() {
            this.getContact();
        },
        methods:{
            /*
            * method for get contact info
            * */
            getContact(){
                axios.get('/admin/contact/info').then((response)=>{
                   this.info=response.data;
                }).catch((error)=>{
                    this.info={};
                });
            },
            /*
            * method for update contact info
            * */
            update(){
                axios.post('/admin/contact/info/update', new FormData(this.$refs.contact)).then((response)=>{
                    this.$toaster.success(response.data);
                }).catch((error)=>{
                    if (error.response.status ===422) this.$toaster.error(error.response.data.errors);
                    else this.$toaster.error(error);
                });
            }
        }
    }
</script>
